Staff shifts

List shifts

GET /v1/shifts

Scope: shifts:read

ParameterInRequired
fromqueryYes
toqueryYes
locationIdqueryNo
membershipIdqueryNo

Create shifts

POST /v1/shifts

Scope: shifts:create

Body fieldTypeRequired
membershipIdstring uuidYes
locationIdstring uuidYes
roomIdNo
datestring dateYes
startTimestringYes
endTimestringYes
serviceIdsarrayNo
noteNo
bufferMinutesNo
repeatobjectNo

Update a shift

PATCH /v1/shifts/{id}

Scope: shifts:update

ParameterInRequired
idpathYes
If-MatchheaderNo
Body fieldTypeRequired
membershipIdstring uuidNo
locationIdstring uuidNo
roomIdNo
datestring dateNo
startTimestringNo
endTimestringNo
serviceIdsarrayNo
noteNo
bufferMinutesNo
scopestringNo
repeatUntilstring dateNo

Delete a shift

DELETE /v1/shifts/{id}

Scope: shifts:delete

ParameterInRequired
idpathYes